Page MenuHomePhabricator

Polish : drawer on mobile should have slight easing on open and close
Closed, ResolvedPublic

Description

animation length could be slightly decreased.

Wikimedia Design uses Ease-in as a timing function for all animations. drawers should use the same.

Details

Commits
Unknown Object (Diffusion Commit)
Unknown Object (Diffusion Commit)
Unknown Object (Diffusion Commit)

Event Timeline

Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF changed Security from none to None.
Qgil triaged this task as Lowest priority.Nov 8 2014, 9:41 AM
Jdlrobson moved this task from 2015-16 Q4 to Upcoming on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.

What to? Decreased by half, a millisecond...?

@Jdlrobson, I don't think the overall timing needs to changed necessarily, can we start with just adjusting easing? perhaps easeInOutBack

Change 182108 had a related patch set uploaded (by Jdlrobson):
Change navigation easing function

https://gerrit.wikimedia.org/r/182108

Patch-For-Review

@Jaredzimmerman-WMF, is my implementation good enough? Please see a comment from Jon in gerrit.

You'll need to setup a hangout with him or host it on a labs account/local tunnel

Yeah, sorry I don't have a dev env. set up on my machine, if I can test on a beta server somewhere that would be ideal, thanks!

@Jaredzimmerman-WMF, I've shared a screencast with you (via youtube). If you want to try it live I'll set up a local tunnel at a time suitable for you.

The video would be likely fine but it's private. So I can't view it.

Sent from my iPad

Can you try again? I've made it public.

@bmansurov looks good on the left drawer, but it feels a little spastic on the right when you see the left drawer for a second, I guess this is due to the right drawer being white, and you not seeing the background initially?

@Jaredzimmerman-WMF the effect is applied to the page center but it gives an impression as though drawers are being animated. In fact the left drawer is always on the page and it's covered by the page center (body). So when we animate the right drawer, the page uncovers part of the left drawer.

I think its acceptable.

Jdlrobson closed this task as Resolved.Jan 6 2015, 4:03 PM
epriestley added a commit: Unknown Object (Diffusion Commit).Mar 4 2015, 8:21 AM
epriestley added a commit: Unknown Object (Diffusion Commit).
epriestley added a commit: Unknown Object (Diffusion Commit).Mar 4 2015, 8:23 AM
Nirzar reopened this task as Open.Apr 8 2016, 6:11 PM
Nirzar updated the task description. (Show Details)
Nirzar removed a subscriber: Jaredzimmerman-WMF.
Nirzar added a subscriber: Nirzar.

reopening because the current animation has "Spring" action to it. it does not go with the image of Wikipedia. We use damped ease-in and ease-out for position animations. Drawers should use the same.

Change 282407 had a related patch set uploaded (by Bmansurov):
Change the drawer animation type

https://gerrit.wikimedia.org/r/282407

Change 282407 merged by jenkins-bot:
Change the drawer animation type

https://gerrit.wikimedia.org/r/282407

Jdlrobson closed this task as Resolved.Apr 18 2016, 10:14 AM
This comment was removed by Jdlrobson.
Jdlrobson removed a project: Unplanned-Sprint-Work.
Jdlrobson added a subscriber: MBinder_WMF.

(@MBinder_WMF Actually not sure how it works if something in sprint 71 was done during sprint 70 - I suspect we move it into sprint 70 and add unplanned sprint work?)

@Jdlrobson Yes, I would say the current sprint should be tagged with work that we are doing/have done, and if it was unexpected work then it gets Unplanned-Sprint-Work :)

bmansurov removed bmansurov as the assignee of this task.Apr 19 2016, 9:59 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:59 PM
Restricted Application added a project: Design. · View Herald TranscriptOct 10 2017, 7:45 PM